/* Trigger functions */
void mprog_act_trigger(char *buf, struct char_data *mob, 
		struct char_data *ch, struct obj_data *obj, void *vo);
void mprog_bribe_trigger(struct char_data *mob, struct char_data *ch, 
		int amount);
void mprog_death_trigger(struct char_data *mob, struct char_data *killer);
void mprog_entry_trigger(struct char_data *mob);
void mprog_fight_trigger(struct char_data *mob, struct char_data *ch);
void mprog_give_trigger(struct char_data *mob, struct char_data *ch, 
		struct obj_data *obj);
void mprog_greet_trigger(struct char_data *ch);
void mprog_hitprcnt_trigger(struct char_data *mob, struct char_data *ch);
void mprog_random_trigger(struct char_data *mob);
void mprog_speech_trigger(char *txt, struct char_data *mob);
void mprog_talk_trigger(struct char_data *mob, struct char_data *ch);


/* Other mobprog related functions */
MPROG_DATA* mprog_file_read(char *f, MPROG_DATA *mprg,
		struct index_data *pMobIndex);
struct index_data *get_mob_index(int vnum);
struct index_data *get_obj_index(int vnum);
int str_prefix(const char *astr, const char *bstr);
void mprog_read_programs(FILE *fp, struct index_data *pMobIndex);
void mprog_wordlist_check(char *arg, struct char_data *mob, 
		struct char_data *actor, struct obj_data *obj, void *vo, int type);


